• a

    Abhishek Dewan

    1 year ago
    Hi guys not sure if this in the right place but I noticed something odd when trying to write the following code
    val isExpanded by remember { mutableStateOf(false) }
    When I try to write the above, the ide doesn't auto import all of the necessary things require to make the delegation work and it shows me an error. However, if I copy the same kind of code from let's say a compose example, then the ide auto imports the right files needed. Is this a known bug? I am running arctic fox beta 2
    a
    s
    2 replies
    Copy to Clipboard
  • Daniel

    Daniel

    1 year ago
    I get this error when building my project with android studio arctic fox or bumble bee using the latest AGP version compatible with those versions of the IDE. I'd appreciate any help 🙏
    Daniel
    Aditya Thakar
    4 replies
    Copy to Clipboard
  • m

    MarkRS

    1 year ago
    Library dependencies using constants defined in buildSrc seems to be a problem, or have I done something wrong? Normally AS tells me about newer versions of libraries by itself, but I can run the "check for newer libraries" analysis manually too. However, with the strategy above, neither route informs me of newer versions at all! I'm having to manually check for latest releases and change the code myself. Is it just me?
    m
    s
    4 replies
    Copy to Clipboard
  • Barry Fawthrop

    Barry Fawthrop

    1 year ago
    Just d/led Bumblebee and wanting to upgrade an existing Android Studio Kotlin/Android project. But it says this is not a Gradle-based project? any help, please
    Barry Fawthrop
    Colton Idle
    6 replies
    Copy to Clipboard
  • Barry Fawthrop

    Barry Fawthrop

    1 year ago
    trying out jetpack compose. Gradle builds successfully but the entire :app build.gradle.kts file and project build.gradle.kts shows red underscores throughout the files. as can be seen below Any ideas. I'm trying to upgrade an existing project
    Barry Fawthrop
    t
    4 replies
    Copy to Clipboard
  • André Thiele

    André Thiele

    1 year ago
    Everytime I try to upgrade Android Studio I get this error. I am using the Apple Silicon Beta.
    André Thiele
    1 replies
    Copy to Clipboard
  • Law Gimenez

    Law Gimenez

    1 year ago
    This is annoying, as you can see the build finished successfully but on my Kotlin file it has 8 errors. I mean this bug has been around since AS v4.0. Please fix this.
    Law Gimenez
    Colton Idle
    3 replies
    Copy to Clipboard
  • Jeff

    Jeff

    1 year ago
    Is it just me or android studio's preview is very buggy of late. I change an element attributes in xml and it doesn't reflect or takes a loooong while. I've got enough RAM 🤷🏾
    Jeff
    m
    4 replies
    Copy to Clipboard
  • Rafs

    Rafs

    1 year ago
    Is there any way of getting Android Studio to automatically format code in exactly the way ktlint does it? maybe a configuration XML file that we can import?
    Rafs
    a
    +1
    4 replies
    Copy to Clipboard
  • Scott Kruse

    Scott Kruse

    1 year ago
    I can't get this Kotlin FIll Class plugin to work on the latest stable Android Studio: https://plugins.jetbrains.com/plugin/10942-kotlin-fill-class
    Scott Kruse
    2 replies
    Copy to Clipboard